## mariadb 10.11.2

=== strings/CMakeLists.txt ===
# Copyright (c) 2006, 2014, Oracle and/or its affiliates
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1335 USA

INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/include
${CMAKE_BINARY_DIR}/strings
)

SET(STRINGS_SOURCES bchange.c bmove_upp.c ctype-big5.c ctype-bin.c ctype-cp932.c
                ctype-czech.c ctype-euc_kr.c ctype-eucjpms.c ctype-extra.c ctype-gb2312.c ctype-gbk.c
                ctype-latin1.c ctype-mb.c ctype-simple.c ctype-sjis.c ctype-tis620.c ctype-uca.c
                ctype-ucs2.c ctype-ujis.c ctype-utf8.c ctype-win1250ch.c ctype.c decimal.c dtoa.c int2str.c
                is_prefix.c llstr.c longlong2str.c my_strtoll10.c my_vsnprintf.c
                str2int.c strcend.c strend.c strfill.c strmake.c strmov.c strnmov.c
                strxmov.c strxnmov.c xml.c
                strmov_overlapp.c
		my_strchr.c strcont.c strappend.c json_lib.c json_normalize.c)

IF(NOT HAVE_STRNLEN)
  # OSX below 10.7 did not have strnlen
  SET(STRINGS_SOURCES ${STRINGS_SOURCES} strnlen.c)
ENDIF()
# Avoid dependencies on perschema data defined in mysys
ADD_DEFINITIONS(-DDISABLE_MYSQL_THREAD_H)
ADD_CONVENIENCE_LIBRARY(strings ${STRINGS_SOURCES})
TARGET_LINK_LIBRARIES(strings dbug mysys)
MAYBE_DISABLE_IPO(strings)
ADD_EXECUTABLE(conf_to_src EXCLUDE_FROM_ALL conf_to_src.c)
SET_TARGET_PROPERTIES(conf_to_src PROPERTIES EXCLUDE_FROM_DEFAULT_BUILD TRUE)
TARGET_LINK_LIBRARIES(conf_to_src mysys strings)

ADD_EXECUTABLE(uca-dump uca-dump.c)

ADD_CUSTOM_COMMAND(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ctype-uca1400data.h
  COMMAND uca-dump --name-prefix=uca1400 --levels=3 ${PROJECT_SOURCE_DIR}/mysql-test/std_data/unicode/allkeys1400.txt > ctype-uca1400data.h
  DEPENDS uca-dump
)

ADD_CUSTOM_TARGET(
        GenUnicodeDataSource
        DEPENDS
        ${CMAKE_CURRENT_BINARY_DIR}/ctype-uca1400data.h
)
ADD_DEPENDENCIES(strings GenUnicodeDataSource)

## mariadb 10.11.1

=== debian/changelog ===
mariadb (1:10.11.1-3) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Customize dh_installinit to keep service enabled (Closes: #1029136)
  * Fix alpha compilation error in GPREL16/wsrep_* (Closes: #1024040)
  * Skip tests that have bug reports and known to fail on 1:10.11.1-2
  * Review and polish autopkgtests

  [ Tianyu Chen ]
  * Add simplified Chinese translation of debconf messages

 -- Otto Kekäläinen <otto@debian.org>  Sun, 05 Feb 2023 15:21:04 -0800

mariadb (1:10.11.1-2) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Add upstream patch for main.explain_json_format_partitions (MDEV-30411)
    (Closes: 1029163)
  * Fix riscv64 compilation error in RocksDB atomic functions (Closes: #1024041)
  * Stop skipping tests that are marked fixed upstream
  * Don't ship any mysql-tests/unstable-tests as neither does upstream
  * Skip test main.func_json_notembedded on s390x due to MDEV-30518
  * Implement configuration tracing as an autopkgtest test
  * Drop obsolete dependency on package lsb-release
  * Clean away outdated mentions of mariadb-10.6 and even mysql-dfsg-5.1
  * Update more Lintian overrides syntax to follow latest Lintian 2.115
  * Update standards version to 4.6.2, no changes needed
  * Update watch file format version to 4

  [ MichaIng ]
  * Do not create /var/log/mysql in postinst

  [ Salman Mohammadi ]
  * mariadb-plugin-connect: introduce curl as recommends

  [ Remus-Gabriel Chelu ]
  * Update Romanian translation of debconf messages

  [ Faustin Lammler ]
  * Cover the full-upgrade scenario in CI

  [ Pablo ]
  * Update Galician translation of debconf messages

 -- Otto Kekäläinen <otto@debian.org>  Tue, 31 Jan 2023 00:19:17 -0800

mariadb (1:10.11.1-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New major upstream release: 10.11
    - Introduce new packages called 'providers', each one providing
      a particular features, though so far only various compression
      methods.
    - New plugin package for Hashicorp Vault
    - Upstream 10.11 series is intended to be a long-term supported
      version with 5 years of security releases
    - The other major versions 10.7/8/9/10 releases after 10.6
      are all short-term releases, and thus not suitable for inclusion
      in Debian but still worth noting as a guide on how to read
      upstream relases notes, as all apply for what is now new in
      Debian with the introduction of this 10.11
  * Remove version suffix from Debian packages and rename source
    package to just 'mariadb', dropping the 10.6 suffix.
  * Emit warning from SysV init script if mysqld_safe is missing
  * Ignore some EXPLAIN JSON test failures on armel/armhf (MDEV-30411)
  * Add custom dh_installinit to keep /etc/init.d/mariadb enabled
    when upgrading from mariadb-server-10.6 to mariadb-server (10.11)

  [ Sunil Mohan Adapa ]
  * Workaround failure to create DB with libpam-tmpdir (Closes: #1022994)

 -- Otto Kekäläinen <otto@debian.org>  Sun, 15 Jan 2023 14:45:21 -0800

mariadb-10.6 (1:10.6.11-2) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Standardize on using capitalized 'ON' in CMake build options
  * Fix Breaks/Replaces for smoother upgrades from MySQL 5.5
    and update maintainer documentation on how to do comprehensive
    upgrade testing
  * Enable automatic datadir move also on upgrades from MySQL.com packages
    and make upgrades from MySQL Community (Cluster) 8.0 not get
    stuck on dpkg and server restart

  [ Eric Lindblad ]
  * Fix typos

 -- Otto Kekäläinen <otto@debian.org>  Mon, 02 Jan 2023 22:42:46 -0800

mariadb-10.6 (1:10.6.11-1) unstable; urgency=medium

  * New upstream version 10.6.11.
  * Align with upstream 10.6 debian/ contents

 -- Otto Kekäläinen <otto@debian.org>  Sun, 13 Nov 2022 22:27:08 -0800

mariadb-10.6 (1:10.6.10-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 10.6.10. Includes several important fixes for
    issues that regressed in previous release. See details in:
    https://mariadb.org/regressions-in-recent-mariadb-server-releases/
  * Update Lintian overrides syntax to follow latest Lintian 2.115
    - Biggest change in Lintian 2.115 is a new syntax to use brackets in file
      paths.

 -- Otto Kekäläinen <otto@debian.org>  Sun, 25 Sep 2022 15:43:39 -0700

mariadb-10.6 (1:10.6.9-1) unstable; urgency=medium

  * New upstream version 10.6.8. Includes security fixes for
    - CVE-2018-25032
    - CVE-2022-32081
    - CVE-2022-32082
    - CVE-2022-32084
    - CVE-2022-32089
    - CVE-2022-32091

 -- Otto Kekäläinen <otto@debian.org>  Wed, 17 Aug 2022 07:28:05 -0700

mariadb-10.6 (1:10.6.8-1) unstable; urgency=medium

  * New upstream version 10.6.8. Includes security fixes for
    - CVE-2021-46669
    - CVE-2022-27376
    - CVE-2022-27377
    - CVE-2022-27378
    - CVE-2022-27379
    - CVE-2022-27380
    - CVE-2022-27381
    - CVE-2022-27382
    - CVE-2022-27383
    - CVE-2022-27384
    - CVE-2022-27386
    - CVE-2022-27387
    - CVE-2022-27444
    - CVE-2022-27445
    - CVE-2022-27446
    - CVE-2022-27447
    - CVE-2022-27448
    - CVE-2022-27449
    - CVE-2022-27451
    - CVE-2022-27452
    - CVE-2022-27455
    - CVE-2022-27456
    - CVE-2022-27457
    - CVE-2022-27458
    - CVE-2022-32085
    - CVE-2022-32086
    - CVE-2022-32087
    - CVE-2022-32088

  [ Daniel Black ]
  * Move client programs to client package from MariaDB server package

  [ Tuukka Pasanen ]
  * MDEV-12275: Add switch '--silent' to SySV init upgrade
  * Allow to use Perl DBD::mysl with mariadb-report (MDEV-28376)

  [ Andreas Hasenack ]
  * Disable LTO on Ubuntu

  [ Faustin Lammler ]
  * Use archive.mariadb.org as official watch source

  [ Laurent Bigonville ]
  * Fix pmem availability check (Closes: #1006530)

  [ Otto Kekäläinen ]
  * Update breaks/replaces to accommodate the moved mariadb-binlog et al
  * Use pmem also on riscv64
  * Add Bulgarian and Chinese translations for error messages
  * Use proper pid namespace


=== debian/control ===
Source: mariadb
Section: database
Priority: optional
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders: Otto Kekäläinen <otto@debian.org>
Build-Depends: bison,
               cmake,
               cracklib-runtime <!nocheck>,
               debhelper (>= 10),
               dh-exec,
               gdb <!nocheck>,
               libboost-dev,
               libbz2-dev,
               libcrack2-dev (>= 2.9.0),
               libcurl4-openssl-dev | libcurl4-dev,
               libedit-dev,
               libedit-dev:native,
               libfmt-dev (>= 7.0.0),
               libjemalloc-dev [linux-any],
               libjudy-dev,
               libkrb5-dev,
               liblz4-dev,
               liblzma-dev,
               liblzo2-dev,
               libncurses5-dev (>= 5.0-6~),
               libncurses5-dev:native (>= 5.0-6~),
               libnuma-dev [linux-any],
               libpam0g-dev,
               libpcre2-dev,
               libpmem-dev [amd64 arm64 ppc64el riscv64],
               libsnappy-dev,
               libssl-dev,
               libssl-dev:native,
               libsystemd-dev [linux-any],
               liburing-dev [linux-any],
               libxml2-dev,
               libzstd-dev (>= 1.3.3),
               lsb-release,
               perl:any,
               po-debconf,
               psmisc,
               unixodbc-dev,
               uuid-dev,
               zlib1g-dev (>= 1:1.1.3-5~)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://mariadb.org/
Vcs-Browser: https://salsa.debian.org/mariadb-team/mariadb-server
Vcs-Git: https://salsa.debian.org/mariadb-team/mariadb-server.git

Package: libmariadb-dev
Architecture: any
Section: libdevel
Depends: libmariadb3 (= ${binary:Version}),
         libssl-dev,
         zlib1g-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmariadb-client-lgpl-dev,
        libmariadb-dev-compat (<< ${source:Version}),
        libmariadbclient-dev (<< 1:10.3),
        libmysqlclient-dev,
        libmysqld-dev (<< ${source:Version})
Replaces: libmariadb-client-lgpl-dev,
          libmariadb-dev-compat (<< ${source:Version}),
          libmariadbclient-dev (<< 1:10.3),
          libmysqlclient-dev,
          libmysqld-dev (<< ${source:Version})
Conflicts: libmariadbclient16-dev,
           libmysqlclient-dev
Description: MariaDB database development files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes development libraries and header files. To allow sources
 expecting the MariaDB Connector/C to build. Sources that expect the MySQL
 Client libraries should use files from the libmariadb-dev-compat package.

Package: libmariadb-dev-compat
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmariadb-dev (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libmariadb-client-lgpl-dev-compat,
           libmariadbclient-dev-compat,
           libmysqlclient-dev
Provides: libmariadb-client-lgpl-dev-compat,
          libmariadbclient-dev-compat
Breaks: libmariadb-client-lgpl-dev-compat,
        libmariadbclient-dev (<< 1:10.3),
        libmariadbclient-dev-compat,
        libmysqlclient-dev
Replaces: libmariadb-client-lgpl-dev-compat,
          libmariadbclient-dev (<< 1:10.3),
          libmariadbclient-dev-compat,
          libmysqlclient-dev
Description: MariaDB Connector/C, compatibility symlinks
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes compatibility symlinks to allow sources expecting the
 MySQL client libraries to be built against MariaDB Connector/C.

Package: libmariadb3
Architecture: any
Multi-Arch: same
Section: libs
Depends: mariadb-common,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mariadb-galera-server-10.0,
           mariadb-galera-server-5.5,
           mariadb-server-10.0,
           mariadb-server-5.1,
           mariadb-server-5.2,
           mariadb-server-5.3,
           mariadb-server-5.5
Breaks: libmariadbclient18
Replaces: libmariadbclient18
Description: MariaDB database client library
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the client library.

Package: libmariadbd19
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: MariaDB embedded database, shared library
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes a shared library for embedded MariaDB applications.

Package: libmariadbd-dev
Architecture: any
Section: libdevel
Provides: libmysqld-dev
Pre-Depends: ${misc:Pre-Depends}
Depends: libmariadb-dev (= ${binary:Version}),
         libmariadbd19 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmariadb-dev (<< 1:10.4),
        libmysqld-dev
Replaces: libmariadb-dev (<< 1:10.4),
          libmysqld-dev
Description: MariaDB embedded database, development files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the embedded server library development and header files.

Package: mariadb-common
Architecture: all
Depends: mysql-common (>= 5.6.25),
         ${misc:Depends}
Multi-Arch: foreign
Description: MariaDB common configuration files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes configuration files common to all MariaDB programs.

Package: mariadb-client-core
Architecture: any
Depends: libmariadb3 (>= 10.5.4),
         mariadb-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mysql-client-5.5,
           mysql-client-5.6,
           mysql-client-5.7,
           mysql-client-8.0,
           virtual-mysql-client-core
Breaks: mariadb-client-10.0,
        mariadb-client-core-10.0,
        mariadb-client-core-10.1,
        mariadb-client-core-10.2,
        mariadb-client-core-10.3,
        mariadb-client-core-10.4,
        mariadb-client-core-10.5,
        mariadb-client-core-10.6,
        mariadb-client-core-5.5,
        mariadb-server-10.0,
        mariadb-server-10.1,
        mariadb-server-core (<< ${source:Version}),
        mariadb-server-core-10.3,
        mariadb-server-core-10.4,
        mariadb-server-core-10.5,
        mariadb-server-core-10.6,
        mysql-client-core-5.5,
        mysql-client-core-5.6,
        mysql-client-core-5.7,
        mysql-client-core-8.0,
        mysql-cluster-community-client-plugins,
        mysql-server-core-5.5,
        mysql-server-core-5.6,
        mysql-server-core-5.7,
        mysql-server-core-8.0,
        percona-server-server-5.6,
        percona-server-server-5.7,
        percona-server-server-8.0,
        percona-xtradb-cluster-server-5.6,
        percona-xtradb-cluster-server-5.7,
        percona-xtradb-cluster-server-8.0
Replaces: mariadb-client-10.0,
          mariadb-client-core-10.0,
          mariadb-client-core-10.1,
          mariadb-client-core-10.2,
          mariadb-client-core-10.3,
          mariadb-client-core-10.4,
          mariadb-client-core-10.5,
          mariadb-client-core-10.6,
          mariadb-client-core-5.5,
          mariadb-server-10.0,
          mariadb-server-10.1,
          mariadb-server-core (<< ${source:Version}),
          mariadb-server-core-10.3,
          mariadb-server-core-10.4,
          mariadb-server-core-10.5,
          mariadb-server-core-10.6,
          mysql-client-core-5.5,
          mysql-client-core-5.6,
          mysql-client-core-5.7,
          mysql-client-core-8.0,
          mysql-cluster-community-client-plugins,
          mysql-server-core-5.5,
          mysql-server-core-5.6,
          mysql-server-core-5.7,
          mysql-server-core-8.0,
          percona-server-server-5.6,
          percona-server-server-5.7,
          percona-server-server-8.0,
          percona-xtradb-cluster-server-5.6,
          percona-xtradb-cluster-server-5.7,
          percona-xtradb-cluster-server-8.0,
          virtual-mysql-client-core
Provides: virtual-mysql-client-core
Description: MariaDB database core client binaries
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the core client files, as used by Akonadi.

Package: mariadb-client
Architecture: any
Depends: debianutils (>=1.6),
         libconfig-inifiles-perl,
         mariadb-client-core (>= ${source:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Conflicts: mysql-client-core-5.5,
           mysql-client-core-5.6,
           mysql-client-core-5.7,
           mysql-client-core-8.0,
           mytop,
           virtual-mysql-client
Breaks: mariadb-client-10.0,
        mariadb-client-10.1,
        mariadb-client-10.2,
        mariadb-client-10.3,
        mariadb-client-10.4,
        mariadb-client-10.5,
        mariadb-client-10.6,
        mariadb-client-5.5,
        mariadb-client-core (<< ${source:Version}),
        mariadb-client-core-10.0,
        mariadb-client-core-10.1,
        mariadb-client-core-10.2,
        mariadb-client-core-10.3,
        mariadb-client-core-10.4,
        mariadb-client-core-10.5,
        mariadb-client-core-10.6,
        mariadb-server (<< ${source:Version}),
        mariadb-server-10.0,
        mariadb-server-10.1,
        mariadb-server-10.2,
        mariadb-server-10.3,
        mariadb-server-10.4,
        mariadb-server-10.5,
        mariadb-server-10.6,
        mysql-client-5.5,
        mysql-client-5.6,
        mysql-client-5.7,
        mysql-client-8.0,
        mysql-server-5.5,
        mysql-server-5.7,
        mysql-server-core-8.0,
        percona-server-server-5.6,
        percona-xtradb-cluster-server-5.6,
        percona-xtradb-cluster-server-5.7
Replaces: mariadb-client-10.0,
          mariadb-client-10.1,
          mariadb-client-10.2,
          mariadb-client-10.3,
          mariadb-client-10.4,
          mariadb-client-10.5,
          mariadb-client-10.6,
          mariadb-client-5.5,
          mariadb-client-core (<< ${source:Version}),
          mariadb-client-core-10.0,
          mariadb-client-core-10.1,
          mariadb-client-core-10.2,
          mariadb-client-core-10.3,
          mariadb-client-core-10.4,
          mariadb-client-core-10.5,
          mariadb-client-core-10.6,
          mariadb-server (<< ${source:Version}),
          mariadb-server-10.0,
          mariadb-server-10.1,
          mariadb-server-10.2,
          mariadb-server-10.3,
          mariadb-server-10.4,
          mariadb-server-10.5,
          mariadb-server-10.6,
          mysql-client-5.5,
          mysql-client-5.6,
          mysql-client-5.7,
          mysql-client-8.0,
          mysql-server-5.5,

=== debian/rules ===
#!/usr/bin/make -f

# Enable Debian Hardening
# https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Disable LTO on Ubuntu, see LP: #1970634 and https://jira.mariadb.org/browse/MDEV-25633
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes), yes)
    export DEB_BUILD_MAINT_OPTIONS += optimize=-lto
endif

DPKG_EXPORT_BUILDFLAGS = 1
# Include all defaults, including buildflags.mk
include /usr/share/dpkg/default.mk
# CPPFLAGS are nor read by CMake, so copy them to CXXFLAGS
# See why at https://cmake.org/Bug/view.php?id=12928
# This is needed for e.g. all automatic Debian hardening flags to apply on all cmake builds.
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# Only do a strict symbol checking on Linux
ifneq (,$(filter linux,$(DEB_HOST_ARCH_OS)))
    DPKG_GENSYMBOLS_CHECK_LEVEL := 4
endif

BUILDDIR := builddir
DEB_VERSION_REVISION := $(shell echo $(DEB_VERSION) | sed -e 's/^.*-//')
DEB_VERSION_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/^.*:\(.*\)\(-\|+\).*/\1/')
DEB_VERSION_MAJOR := $(shell echo $(DEB_VERSION_VERSION) | sed -e 's/^\(.*\)\..*$$/\1/')
RELEASE := $(shell lsb_release -r -s) # Use changelog based DEB_DISTRIBUTION instead?
TMP := $(CURDIR)/debian/tmp
MTR_SKIP_TEST_LIST := $(shell mktemp)

# According to Debian Policy version 4.2.0 builds should be as verbose as
# possible unless 'terse' is specifically passed.
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
    export DH_VERBOSE=1
endif

# Parallel build support as advised
# at https://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
else
    # NUMJOBS cannot be empty as it is used as a parameter to mtr, default to 'auto'.
    NUMJOBS = auto
endif

# RocksDB cannot build on 32-bit platforms
ifeq (32,$(DEB_HOST_ARCH_BITS))
    CMAKEFLAGS += -DPLUGIN_ROCKSDB=NO
endif

# Cross building requires stack direction instruction
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
    ifneq (,$(filter $(DEB_HOST_ARCH_CPU),alpha amd64 arm arm64 i386 ia64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64))
        CMAKEFLAGS += -DSTACK_DIRECTION=-1
    endif
    ifneq (,$(filter $(DEB_HOST_ARCH_CPU),hppa))
        CMAKEFLAGS += -DSTACK_DIRECTION=1
    endif
endif

# Only attempt to build with PMEM on archs that have package libpmem-dev available
# See https://packages.debian.org/search?searchon=names&keywords=libpmem-dev
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 ppc64el riscv64))
    CMAKEFLAGS += -DWITH_PMEM=ON
endif

# Link with libatomic on riscv64 to get access to the __atomic_*_1 functions
ifeq ($(DEB_HOST_ARCH),riscv64)
    export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

# Fix compilation errors like "relocation truncated to fit: GPREL16 against symbol `wsrep_debug'"
ifeq ($(DEB_HOST_ARCH),alpha)
    export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-relax
endif

# Add support for verbose builds
MAKEFLAGS += VERBOSE=1

override_dh_auto_clean:
	@echo "RULES.$@"
	dh_testdir
	dh_testroot
	# Delete obsolete/unstable components to ensure they are not used in Debian
	rm -rf $(BUILDDIR) builddir-native extra/readline extra/wolfssl
	# Remove columnstore as the source code is dirty and software not mature enough for Debian anyway
	rm -rf storage/columnstore
	# Delete precompiled binaries in upstream sources to ensure they are not used in Debian
	rm -rf storage/connect/JavaWrappers.jar	storage/columnstore/columnstore/utils/jemalloc/libjemalloc.so.2

	debconf-updatepo # Update po-files when clean runs before each build

override_dh_auto_configure:
	@echo "RULES.$@"
	dh_testdir

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_configure --builddirectory=builddir-native
	dh_auto_build --builddirectory=builddir-native -- import_executables
endif

	echo "server:Version=$(DEB_VERSION)" >> debian/substvars

	# As packages does not have major version any more in package name there is no
	# way as it not set by dpkg to use this on postinst script. Use sed to
	# determine major version instead.
	# @TODO: Rewrite this to use the new upstream /var/lib/mysql_upgrade_info file
	# instead of the legacy /var/lib/debian-XX.X.flag file
	sed -i 's/__MARIADB_MAJOR_VER__/$(DEB_VERSION_MAJOR)/g' debian/mariadb-server.post* debian/mariadb-server.preinst

	# Don't build ColumnStore, not mature enough for Debian yet.
	PATH=$${MYSQL_BUILD_PATH:-"/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin"} \
	    dh_auto_configure --builddirectory=$(BUILDDIR) -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
	    $(CMAKEFLAGS) \
	    $(if $(filter $(DEB_BUILD_ARCH),$(DEB_HOST_ARCH)),,-DIMPORT_EXECUTABLES=$(CURDIR)/builddir-native/import_executables.cmake) \
	    -DCOMPILATION_COMMENT="$(DEB_VENDOR) $(RELEASE)" \
	    -DMYSQL_SERVER_SUFFIX="-$(DEB_VERSION_REVISION)" \
	    -DSYSTEM_TYPE="debian-$(DEB_HOST_GNU_SYSTEM)" \
	    -DCMAKE_SYSTEM_PROCESSOR=$(DEB_HOST_ARCH) \
	    -DBUILD_CONFIG=mysql_release \
	    -DCONC_DEFAULT_CHARSET=utf8mb4 \
	    -DPLUGIN_AWS_KEY_MANAGEMENT=NO \
	    -DPLUGIN_COLUMNSTORE=NO \
	    -DWITH_NUMA=AUTO \
	    -DIGNORE_AIO_CHECK=ON \
	    -DWITH_URING=ON \
	    -DWITH_INNODB_SNAPPY=ON \
	    -DDEB=$(DEB_VENDOR)

# This is needed, otherwise 'make test' will run before binaries have been built
override_dh_auto_build:
	@echo "RULES.$@"
	# Print build env info to help debug builds on different platforms
	dpkg-architecture
	cd $(BUILDDIR) && $(MAKE)

override_dh_auto_test:
	@echo "RULES.$@"
	dh_testdir
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Skip unstable tests if such are defined for arch
	[ ! -f debian/unstable-tests.$(DEB_HOST_ARCH) ] || cat debian/unstable-tests.$(DEB_HOST_ARCH) >> $(MTR_SKIP_TEST_LIST)
	# Run testsuite
	cd $(BUILDDIR)/mysql-test && \
	./mtr --force --testcase-timeout=120 --suite-timeout=540 --retry=3 \
	      --parallel=$(NUMJOBS) --skip-rpl --suite=main \
	      --skip-test-list=$(MTR_SKIP_TEST_LIST)
	# Don't use --mem here as official Debian builders and most Docker systems don't have a large mem device available and
	# would fail with errors on lack of disk space.
endif

override_dh_auto_install:
	@echo "RULES.$@"
	dh_testdir
	dh_testroot

ifneq (,$(filter linux,$(DEB_HOST_ARCH_OS)))
	# Copy systemd files to a location available for dh_installinit
	cp $(BUILDDIR)/support-files/mariadb.service debian/mariadb-server.mariadb.service
	cp $(BUILDDIR)/support-files/mariadb.socket debian/mariadb-server.mariadb.socket
	cp $(BUILDDIR)/support-files/mariadb-extra.socket debian/mariadb-server.mariadb-extra.socket
	cp $(BUILDDIR)/support-files/mariadb@.service debian/mariadb-server.mariadb@.service
	cp $(BUILDDIR)/support-files/mariadb@.socket debian/mariadb-server.mariadb@.socket
	cp $(BUILDDIR)/support-files/mariadb-extra@.socket debian/mariadb-server.mariadb-extra@.socket
endif

	# Run 'make install' without output since it is uninteresting and
	# silencing it helps to make overall build log shorter and more readable
	@echo "Running $(MAKE) install DESTDIR=$(TMP) ..."
	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(TMP) > /dev/null

	# If mariadb-test package is removed, also remove most of it's files
	grep --quiet "Package: mariadb-test" debian/control || rm -rf $(TMP)/usr/share/mysql/mysql-test

	# Delete private files from libraries so they don't get shipped in the -dev packages
	rm -r $(TMP)/usr/include/mariadb/server/private

	# Don't ship sql-bench at all, just delete it completely even though it builds
	rm -r $(TMP)/usr/sql-bench

	# nm numeric soft is not enough, therefore extra sort in command
	# to satisfy Debian reproducible build requirements
	mkdir -p $(TMP)/usr/share/doc/mariadb-server
	nm --defined-only $(BUILDDIR)/sql/mariadbd | LC_ALL=C sort | gzip -n -9 > $(TMP)/usr/share/doc/mariadb-server/mariadbd.sym.gz

	# Rename and install AppArmor profile

=== debian/tests/control ===
Tests: configuration-tracing
Depends: mariadb-server, diffutils
Restrictions: allow-stderr

Tests: smoke
# RocksDB is not built for all archs. Rather than duplicating the condition
# for its existence (see the list in debian/control), install it if available
# and check in the test if it's functional when it should be.
# The plugin package also already depends on the other one.
Depends: mariadb-plugin-rocksdb | mariadb-server,
         mariadb-plugin-provider-bzip2,
         mariadb-plugin-provider-lz4,
         mariadb-plugin-provider-lzma,
         mariadb-plugin-provider-lzo,
         mariadb-plugin-provider-snappy
Restrictions: allow-stderr needs-root isolation-container

Tests: upstream
Depends: mariadb-test, eatmydata
Restrictions: allow-stderr breaks-testbed

=== debian/watch ===
version=4
opts=\
pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/-(rc|beta)/$1/,pasv \
https://archive.mariadb.org/mariadb-10.11.([\d\.]*(?:-beta|-rc)?)/source mariadb-([\d\.]*(?:-beta|-rc)?).tar.gz

# String "-10.11." needs to be in path as MariaDB releases several series in
# parallel (e.g 10.11, 10.4, 10.3 etc) and uscan should check for updates only
# in the 10.11-series.

# Automated signature checking with pgpsigurlmangle has been available
# only since devscripts version 2.13.3

# Specifically use archive.mariadb.org because it supports https and the main
# page has a file listing suitable for scanning new releases.
# The archive.mariadb.org service is under MariaDB Foundation control and is
# the official source for new releases.

## mariadb 10.11.2

=== debian/changelog ===
mariadb (1:10.11.2-3) unstable; urgency=medium

  * Fix typo in autopkgtests configuration-tracing affecting armhf and armel
  * Revert: Sync downstream (where applicable) with upstream 10.11 debian/*
    contents so that using diff/meld to compare changes are easier
    - Revert on suggestion by Debian release managers the changes done by
      upstreams devs in https://github.com/MariaDB/server/commit/952af4a1
      for MariaDB 10.5.19, 10.6.12, 10.11.2 etc. It was deemed too invasive
      for the Debian 12 "Bookworm" release this late in the release cycle.

 -- Otto Kekäläinen <otto@debian.org>  Thu, 20 Apr 2023 21:48:51 -0700

mariadb (1:10.11.2-2) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * SUMMARY: This version has a lot of bug fixes, quality fixes, documentation
    and translation updates and it is tailored for the Debian 12 "Bookworm"
    release and all potentially functional changes have been left out and
    are pending review and merge post-Bookworm release at
    https://salsa.debian.org/mariadb-team/mariadb-server/-/merge_requests,
    where contributions both as reviews and new submissions are welcome!
  * Update NEWS to summarize what is new in MariaDB 10.11 (compared to 10.6)
  * Update and activate configuration tracing in autopkgtests to ensure that
    for the Debian 12 "Bookworm" release cycle no upstream server config change
    would slip in unnoticed
  * Enable mariadb-plugin-rocksdb for riscv64 (fixes autopkgtests for riscv64)
  * Sync downstream (where applicable) with upstream 10.11 debian/* contents
    so that using diff/meld to compare changes are easier
  * Add important upstream 10.11.2+ fixes as packes:
    * Stack overflow in pinbox allocator (PR#2541)
    * Upgrades from MySQL 5.7 to MariaDB 10.11 (MDEV-30483) (Closes: #866751)
    * Misc compiler warnings in upstream build
    * Incomplete stack traces if MariaDB crashes
    * Make mariadbd emit warnings if mariadb-upgrade was not run
    * Binlog failures due to 'character_set_client' (MDEV-30824)
  * Prevent mariadb-test-run from using native I/O on ppc64el and s390x due to
    Linux kernel bug (Related: #1031656)
  * Add patch to better diagnose potential failures in main.order_by_innodb
  * Add patch to fix cross-compilation failure on uca-dump (Closes: #1029165)
  * Update mariadb-test-run skip test lists to not run tests that are known
    to be broken or unstable, and that have been reported upstream
  * Limit check of running mysqld/mariadbd to system users (Closes: #1032047)
  * Make error more helpful in case server restart fails (Related: #1033234)
  * Update Lintian overrides after rigorous review of all Lintian issues
    * Remove incorrect Multi-Arch definitions
    * Fix man pages syntax issues (Closes: #1032861)
    * Fix spelling in MariaDB and components (Closes: #1032860)
    * Refresh patches metadata
    * Update upstream signing key
    * Fix dependency of obsolete libncurses5-dev

  [ Ekaterine Papava ]
  * Add Georgian translation (error messages)

  [ Tuukka Pasanen ]
  * Update README files to correct versions

 -- Otto Kekäläinen <otto@debian.org>  Sat, 25 Mar 2023 23:26:42 -0700

mariadb (1:10.11.2-1) unstable; urgency=medium

  * New upstream release MariaDB 10.11.2 has been announced GA
    (general availability) with long-term support and security updates
    until spring 2028
  * Autopkgetest improvements
    - Fix incomplete variable rename in a3b6f3d7f4b
    - Extend tracing to include MariaDB client and move traces to subdirectory

 -- Otto Kekäläinen <otto@debian.org>  Thu, 16 Feb 2023 23:53:02 -0800

mariadb (1:10.11.1-5) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Packages mariadb-plugin-provider-* must depend at least on MariaDB 10.11
  * Make postinstall check work with more than one result (Closes: #1031244)
  * Revert "Compression plugins as Depends for mariadb-server" (Closes: #1031116)
    to not break the Cacti autopkgtests and allow the mariadb-10.6 autopkgtest
    to fail instead (re-introducing Bug#1031116)

  [ Bubu ]
  * Update French translation of debconf messages (Closes: #1030581)

  [ Adriano Rafael Gomes ]
  * Update Brazilian translation of debconf messages (Closes: #1030908)

 -- Otto Kekäläinen <otto@debian.org>  Wed, 15 Feb 2023 22:57:46 -0800

mariadb (1:10.11.1-4) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Have all compression plugins as Depends for mariadb-server (Closes: #1030604)
  * Update existing patch with latest upstream PR#2448 version 0284207
  * Temporarily disable MTR on s390x as Debian buildd seems unstable
    (Related: #1030510)
  * Add upstream patch to fix build failure on HPPA (Closes: #1006529)
  * Refresh patches and include references to Debian bugs they should fix

  [ Gianfranco Costamagna ]
  * Drop riscv64 rules latomic hack, use upstream PR#2477 instead
    (Related: #1024041)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 09 Feb 2023 08:40:34 -0800

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,7 @@
                liblz4-dev,
                liblzma-dev,
                liblzo2-dev,
-               libncurses5-dev (>= 5.0-6~),
-               libncurses5-dev:native (>= 5.0-6~),
+               libncurses-dev,
                libnuma-dev [linux-any],
                libpam0g-dev,
                libpcre2-dev,
@@ -80,7 +79,6 @@
 
 Package: libmariadb-dev-compat
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends: libmariadb-dev (= ${binary:Version}),
          ${misc:Depends}
@@ -338,3 +336,6 @@
           mysql-client-5.7,
           mysql-client-8.0,
           mysql-server-5.5,
+          mysql-server-5.7,
+          mysql-server-core-8.0,
+          mytop,

=== debian/rules ===
--- 
+++ 
@@ -68,14 +68,17 @@
     CMAKEFLAGS += -DWITH_PMEM=ON
 endif
 
-# Link with libatomic on riscv64 to get access to the __atomic_*_1 functions
-ifeq ($(DEB_HOST_ARCH),riscv64)
-    export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
-endif
-
 # Fix compilation errors like "relocation truncated to fit: GPREL16 against symbol `wsrep_debug'"
 ifeq ($(DEB_HOST_ARCH),alpha)
     export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-relax
+endif
+
+# Disable native IO and force regular fsync() on selected architectures which
+# seem to sugger from random crashes that stem from Linux kernel incompatibility
+# (Debian Bug#1030510 and perhaps also Bug#1031656, MariaDB MDEV-30728,
+# https://lists.ozlabs.org/pipermail/linuxppc-dev/2023-March/256189.html)
+ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el s390x))
+    export MTR_ARGUMENTS_APPEND += --mysqld=--loose-innodb-flush-method=fsync --mysqld=--loose-skip-innodb-use-native-aio
 endif
 
 # Add support for verbose builds
@@ -142,14 +145,22 @@
 override_dh_auto_test:
 	@echo "RULES.$@"
 	dh_testdir
+	# Skip running test suite after build if DEB_BUILD_OPTIONS contains 'nocheck'
+	@echo "DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS)"
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Skip unstable tests if such are defined for arch
 	[ ! -f debian/unstable-tests.$(DEB_HOST_ARCH) ] || cat debian/unstable-tests.$(DEB_HOST_ARCH) >> $(MTR_SKIP_TEST_LIST)
+	# Show contents of skip list on this architecture
+	@echo "On arcitecture $(DEB_HOST_ARCH) skip tests:"
+	cat $(MTR_SKIP_TEST_LIST)
 	# Run testsuite
 	cd $(BUILDDIR)/mysql-test && \
+	export MTR_PRINT_CORE=detailed && \
 	./mtr --force --testcase-timeout=120 --suite-timeout=540 --retry=3 \
+	      --verbose-restart --max-save-core=1 --max-save-datadir=1 \
 	      --parallel=$(NUMJOBS) --skip-rpl --suite=main \
-	      --skip-test-list=$(MTR_SKIP_TEST_LIST)
+	      --skip-test-list=$(MTR_SKIP_TEST_LIST) \
+	      $(MTR_ARGUMENTS_APPEND)
 	# Don't use --mem here as official Debian builders and most Docker systems don't have a large mem device available and
 	# would fail with errors on lack of disk space.
 endif
@@ -175,17 +186,3 @@
 	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(TMP) > /dev/null
 
 	# If mariadb-test package is removed, also remove most of it's files
-	grep --quiet "Package: mariadb-test" debian/control || rm -rf $(TMP)/usr/share/mysql/mysql-test
-
-	# Delete private files from libraries so they don't get shipped in the -dev packages
-	rm -r $(TMP)/usr/include/mariadb/server/private
-
-	# Don't ship sql-bench at all, just delete it completely even though it builds
-	rm -r $(TMP)/usr/sql-bench
-
-	# nm numeric soft is not enough, therefore extra sort in command
-	# to satisfy Debian reproducible build requirements
-	mkdir -p $(TMP)/usr/share/doc/mariadb-server
-	nm --defined-only $(BUILDDIR)/sql/mariadbd | LC_ALL=C sort | gzip -n -9 > $(TMP)/usr/share/doc/mariadb-server/mariadbd.sym.gz
-
-	# Rename and install AppArmor profile

## mariadb 10.11.3

=== debian/changelog ===
mariadb (1:10.11.3-1+rpi1) bookworm-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 06 Jun 2023 14:09:17 +0000

mariadb (1:10.11.3-1) unstable; urgency=medium

  * New upstream version 10.11.3. Includes security fixes for
    - CVE-2022-47015 (Closes: #1034889)
  * This is the first bug fixing maintenance release from upstream in the 10.11
    series as the 10.11.2 release was the first one announced GA (general
    availability). For a full list of all bug fixes see release notes at
    https://mariadb.com/kb/en/mariadb-10-11-3-release-notes/.
  * Update libmariadb3.symbols to include new ABI changes in 3.3.5
    and fix DPKG_GENSYMBOLS_CHECK_LEVEL so it actually takes effect and in
    build will properly fail if there are unaccounted symbol changes in
    future upstream maintenance releases
  * Update Lintian overrides after 10.11.3 import
  * Use new log_slow_* configuration variable names in configuration examples
    to be aligned with upstream and have least amount of surprises for users
    of MariaDB 10.11 where these variables changed names
  * Clean away unnecessary mariadb-test.links, no functional effect
  * Delete all embedded zlib copies to fix crossbuilds and improve security
  * Use native zlib to make crossbuilds work again after recent zlib 1.2.13
    update regressed crossbuilds
  * Revert fixes from February/March 2023 that the Debian release team
    deemed unfit/too late for Bookworm (Bug#1033811):
    - Revert "Add patch to fix upgrades from MySQL 5.7 to MariaDB 10.11..."
    - Revert "Limit check of running mysqld/mariadbd to system users..."
    - Revert "MDEV-21303: Fix man page packaging for new mariadb-* named..."
    - Revert "Add patches to fix spelling in MariaDB and components..."
    - Revert "Add patch to better diagnose failures in main.order_by_innodb..."
    - Revert "Add patch to fix misc compiler warnings in upstream build"
    - Revert "Add patch to emit warnings if mariadb-upgrade was not run..."

  [ Mathias Gibbens ]
  * Silence superfluous warnings in mariadb-server preinst (Closes: #1034684)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 27 May 2023 23:16:42 -0700

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,8 @@
                psmisc,
                unixodbc-dev,
                uuid-dev,
-               zlib1g-dev (>= 1:1.1.3-5~)
+               zlib1g-dev (>= 1:1.1.3-5~),
+               zlib1g-dev:native
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://mariadb.org/
@@ -338,4 +339,3 @@
           mysql-server-5.5,
           mysql-server-5.7,
           mysql-server-core-8.0,
-          mytop,

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,10 @@
 CXXFLAGS+=$(CPPFLAGS)
 
 # Only do a strict symbol checking on Linux
+# https://manpages.debian.org/testing/dpkg-dev/dpkg-gensymbols.1.en.html
+# Level 4: Fails if some libraries have been introduced.
 ifneq (,$(filter linux,$(DEB_HOST_ARCH_OS)))
-    DPKG_GENSYMBOLS_CHECK_LEVEL := 4
+    export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 endif
 
 BUILDDIR := builddir
@@ -88,8 +90,11 @@
 	@echo "RULES.$@"
 	dh_testdir
 	dh_testroot
-	# Delete obsolete/unstable components to ensure they are not used in Debian
-	rm -rf $(BUILDDIR) builddir-native extra/readline extra/wolfssl
+	# Delete obsolete/unstable components and embedded source code copies
+	# to ensure they are not used in Debian and in general to keep MariaDB binaries
+	# secure and using only system libraries that can be updated quickly and easily
+	# in case security vulnerabilities are found in any of the libraries
+	rm -rf $(BUILDDIR) builddir-native extra/readline extra/wolfssl zlib libmariadb/external/zlib
 	# Remove columnstore as the source code is dirty and software not mature enough for Debian anyway
 	rm -rf storage/columnstore
 	# Delete precompiled binaries in upstream sources to ensure they are not used in Debian
@@ -147,7 +152,7 @@
 	dh_testdir
 	# Skip running test suite after build if DEB_BUILD_OPTIONS contains 'nocheck'
 	@echo "DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS)"
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (testsuitedisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Skip unstable tests if such are defined for arch
 	[ ! -f debian/unstable-tests.$(DEB_HOST_ARCH) ] || cat debian/unstable-tests.$(DEB_HOST_ARCH) >> $(MTR_SKIP_TEST_LIST)
 	# Show contents of skip list on this architecture
@@ -177,12 +182,3 @@
 	cp $(BUILDDIR)/support-files/mariadb-extra.socket debian/mariadb-server.mariadb-extra.socket
 	cp $(BUILDDIR)/support-files/mariadb@.service debian/mariadb-server.mariadb@.service
 	cp $(BUILDDIR)/support-files/mariadb@.socket debian/mariadb-server.mariadb@.socket
-	cp $(BUILDDIR)/support-files/mariadb-extra@.socket debian/mariadb-server.mariadb-extra@.socket
-endif
-
-	# Run 'make install' without output since it is uninteresting and
-	# silencing it helps to make overall build log shorter and more readable
-	@echo "Running $(MAKE) install DESTDIR=$(TMP) ..."
-	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(TMP) > /dev/null
-
-	# If mariadb-test package is removed, also remove most of it's files
